APIs / Google Images / Images
Google Images: Images
Images from Google Images as JSON. 1 credit per successful call.
GET /v1/google-images/images
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
q | string | Required | Any |
hl | string | Optional | Up to 2 characters |
gl | string | Optional | Up to 2 characters |
imgsz | string | Optional | large, medium, icon |
imgtype | string | Optional | photo, clipart, lineart, gif, face |
imgcolor | string | Optional | color, gray, trans, red, orange, yellow, green, teal, blue, purple, pink, white, black, brown |
imgar | string | Optional | tall, square, wide |
tbs | string | Optional | Up to 500 characters |
safe | string | Optional | active, off |
page | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/google-images/images?q=coffee" \
-H "X-API-Key: $API_KEY"